Method: projects.locations.dataProducts.patch

Updates a data product.

HTTP request

PATCH https://dataplex.googleapis.com/v1/{dataProduct.name=projects/*/locations/*/dataProducts/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
dataProduct.name

string

Identifier. Resource name of the data product. Format: projects/{project_id_or_number}/locations/{locationId}/dataProducts/{dataProductId}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. If this is empty or not set, then all the fields will be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

validateOnly

boolean

Optional. Validates the request without actually updating the data product. Default: false.

Request body

The request body contains an instance of DataProduct.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataplex.dataProducts.update

For more information, see the IAM documentation.